Verified Commit de965d2e authored by Elias Ojala's avatar Elias Ojala
Browse files

Nginx: block dotfiles

parent 1b155094
......@@ -26,4 +26,13 @@ ssl_dhparam /etc/ssl/certs/dhparam.pem;
# User-agent Blocklist
# https://wiki.lelux.fi/nginx#useragent-blocklist
#
# include snippets/useragent-blocklist/nginx.conf;
\ No newline at end of file
# include snippets/useragent-blocklist/nginx.conf;
# Block dotfiles, except .well-known
location ~ /\.well-known {
allow all;
}
location ~ /\. {
deny all;
}
\ No newline at end of file
......@@ -64,6 +64,7 @@ permalink: /
* [SSH Port Forwarding](https://zaiste.net/ssh_port_forwarding/)
* [Dockerise your PHP application with Nginx and PHP7-FPM](http://geekyplatypus.com/dockerise-your-php-application-with-nginx-and-php7-fpm/) ([mirror](https://archive.fo/Eo8zS))
* [ISPmail by workaround.org](https://workaround.org/ispmail)
<hr>
......
......@@ -5,9 +5,9 @@ permalink: /wireguard
## Installation
### Debian 9
### Debian 9 (`stretch`) or Debian 10 (`buster`)
If you do not use Debian 9, follow guides on [Wireguard's install page](https://www.wireguard.com/install/).
If you do not use Debian 9 or 10, follow guides on [Wireguard's install page](https://www.wireguard.com/install/).
Run these commands with `root` user:
......@@ -28,16 +28,16 @@ sudo apt update
sudo apt install linux-headers-$(uname -r) wireguard
```
### Raspbian 9
### Raspbian 9 (`stretch`)
```bash
sudo apt-get update
sudo apt-get upgrade
sudo apt-get install raspberrypi-kernel-headers
echo "deb http://deb.debian.org/debian/ unstable main" | sudo tee --append /etc/apt/sources.list.d/unstable.list
echo "deb http://deb.debian.org/debian/ unstable main" | sudo tee -a /etc/apt/sources.list.d/unstable.list
sudo apt-get install dirmngr
sudo apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 8B48AD6246925553
printf 'Package: *\nPin: release a=unstable\nPin-Priority: 150\n' | sudo tee --append /etc/apt/preferences.d/limit-unstable
printf 'Package: *\nPin: release a=unstable\nPin-Priority: 150\n' | sudo tee -a /etc/apt/preferences.d/limit-unstable
sudo apt-get update
sudo apt-get install wireguard
sudo reboot
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment